### Method

# FwupdPlugin Device set_metadata

since: 0.1.0

#### Declaration [src]

    void
    fu_device_set_metadata (
      FuDevice* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Sets an item of metadata on the device.

Available since: 0.1.0

#### Parameters

`key`

  Type: `const gchar*`

  The key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  The string value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.